# Generated from user_mgmt-2.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name user_mgmt

Name: rubygem-%{gem_name}
Version: 2.1.5
Release: 1%{?dist}
Summary: Various authentication options in an outside database
License: MIT
URL: https://github.com/Methos2013/user_mgmt_gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(genspec)
BuildArch: noarch

%description
Includes functionality for site-specific registration and third-party
authentication strategies such as social networks (Facebook, Twitter and
Linkedin) and freemail providers (Yahoo, Windows Live and Gmail) with support
for external database authentication.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/rails
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/user_mgmt.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 2.1.5-1
- Initial package
